Yapper API
Api reference
GET
/sessions/{sessionId}

Returns one session with its webUrl. List its contents with GET /processes?sessionId= or GET /assets?sessionId=. Hidden or cross-team sessions return not_found.

Authorization

bearerAuth processes:read
AuthorizationBearer <token>

In: header

Scope: processes:read

Path Parameters

sessionId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/sessions/string"
{  "id": "string",  "title": "string",  "imageUrl": "http://example.com",  "imageAssetId": "string",  "generations": {    "inProgress": 0,    "completed": 0  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "webUrl": "http://example.com",  "links": {    "self": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}